"use strict";

var _moderation = require("../moderation");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('closeTray', function () {
  it('returns a CLOSE_MODERATE_TRAY action', function () {
    expect((0, _moderation.closeTray)().type).to.equal(_constants.CLOSE_MODERATE_TRAY);
  });
});
describe('onTrayClosed', function () {
  it('returns a MODERATE_TRAY_CLOSED action', function () {
    expect((0, _moderation.onTrayClosed)().type).to.equal(_constants.MODERATE_TRAY_CLOSED);
  });
});
describe('openTray', function () {
  it('returns an OPEN_MODERATE_TRAY action', function () {
    expect((0, _moderation.openTray)().type).to.equal(_constants.OPEN_MODERATE_TRAY);
  });
  it('includes the selected participant', function () {
    var participant = 'participant';
    expect((0, _moderation.openTray)(participant).participant).to.equal(participant);
  });
});